Get user orders
curl --request GET \
--url https://api.agg.market/execution/orders \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/execution/orders"
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-app-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agg.market/execution/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"quoteId": "<string>",
"status": "<string>",
"side": "<string>",
"amountRaw": "<string>",
"limitPriceRaw": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"slippageBps": 123,
"quotedPriceRaw": "<string>",
"quotedCostRaw": "<string>",
"quotedSharesRaw": "<string>",
"quotedToWinRaw": "<string>",
"filledAmountRaw": "<string>",
"executionPrice": "<string>",
"actualSharesRaw": "<string>",
"actualToWinRaw": "<string>",
"partialFillReason": "<string>",
"txHash": "<string>",
"errorMessage": "<string>",
"dagRunId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"venueMarket": {
"id": "<string>",
"venueEventId": "<string>",
"question": "<string>",
"image": "<string>"
},
"venueMarketOutcome": {
"label": "<string>",
"title": "<string>"
},
"limitSizeRaw": "<string>",
"postOnly": true,
"reservedCostRaw": "<string>",
"filledSizeRaw": "<string>",
"filledCostRaw": "<string>",
"remainingSizeRaw": "<string>",
"averageFillPriceRaw": "<string>",
"venueOrderId": "<string>",
"cancelRequestedAt": "<string>",
"cancelledAt": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"message": "<string>"
}{
"message": "<string>"
}Users
Get user orders
Returns paginated orders for the authenticated user with venue market details.
GET
/
execution
/
orders
Get user orders
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
⌘I